Skip to main content

Partially Update Payment Transaction

PATCH 

/b/checkout/v1/pymt-txn/:session_id/

Partially update an existing Payment Transaction

Permissions​

Auth MethodRequired Permissions
API KeyAll permissions (admin access)
Basic AuthCan change payment requests or Can change e-commerce payments

Gateway permission: Can use pg_code for the target payment gateway

info

For PATCH, updates can be performed as long as the payment gateway codes are not updated.

curl --location --globoff --request PATCH 'https://sandbox.ottu.net/b/checkout/v1/pymt-txn/{session_id}/' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Api-Key YOUR_API_KEY' \
--data-raw '{
  "amount": "string",
  "currency_code": "string",
  "pg_codes": [
    "string"
  ],
  "type": "e_commerce",
  "billing_address": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "state": "string",
    "country": "AF",
    "postal_code": "string"
  },
  "branding_options": {
    "payment_methods": {}
  },
  "loyalty": {
    "enabled": true,
    "reference": "string",
    "metadata": {}
  },
  "shipping_address": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "state": "string",
    "country": "AF",
    "postal_code": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "[email protected]",
    "phone": "string"
  },
  "agreement": {
    "id": "string",
    "amount_variability": "fixed",
    "start_date": "2024-07-29",
    "expiry_date": "2024-07-29",
    "max_amount_per_cycle": "string",
    "cycle_interval_days": 0,
    "total_cycles": 0,
    "frequency": "irregular",
    "type": "recurring",
    "seller": {
      "name": "string",
      "short_name": "string",
      "category_code": "string"
    }
  },
  "attachment": "string",
  "attachment_upload_url": "string",
  "card_acceptance_criteria": {
    "min_expiry_time": 0
  },
  "customer_birthdate": "2024-07-29",
  "customer_email": "[email protected]",
  "customer_first_name": "string",
  "customer_id": "string",
  "customer_last_name": "string",
  "customer_phone": "string",
  "customer_phone_2": "string",
  "due_datetime": "2024-07-29T15:51:28.071Z",
  "email_recipients": [
    "[email protected]"
  ],
  "expiration_time": "string",
  "generate_qr_code": false,
  "include_sdk_setup_preload": false,
  "initiator_id": 0,
  "language": "en",
  "notifications": {
    "email": [
      "created"
    ],
    "sms": [
      "created"
    ],
    "whatsapp": [
      "created"
    ]
  },
  "order_no": "string",
  "payment_instrument": {
    "instrument_type": "apple_pay",
    "payload": {
      "paymentData": {
        "version": "string",
        "data": "string",
        "signature": "string",
        "header": {
          "ephemeralPublicKey": "string",
          "publicKeyHash": "string",
          "transactionId": "string"
        }
      },
      "paymentMethod": {
        "displayName": "string",
        "network": "string",
        "type": "string"
      },
      "transactionIdentifier": "string"
    }
  },
  "payment_type": "one_off",
  "preload_checkout_page": false,
  "product_type": "string",
  "redirect_url": "string",
  "shortify_attachment_url": false,
  "shortify_checkout_url": false,
  "unit_code": "string",
  "vendor_name": "string",
  "webhook_url": "string"
}'

Request​

Responses​